var system=require("../../system")
const http=require("http")
const querystring = require('querystring');
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
const logCtl=system.getObject("web.oplogCtl");
class ReceiptVoucherCtl extends CtlBase{
   constructor(){
     super(CtlBase.getServiceName(ReceiptVoucherCtl));
   }
   async initNewInstance(queryobj,req){
     var rtn={};
     var vcode=await this.service.getBusUid("SKD");
     rtn.code=vcode;
     rtn.sourceType="receiptvoucher";
    return system.getResult2(rtn,null);
  }
}
module.exports=ReceiptVoucherCtl ;
